Page MenuHomeFreeBSD

a10_ahci: grab the target-supply regulator and enable it
ClosedPublic

Authored by kevans on Jan 9 2020, 8:39 PM.

Details

Summary

This regulator is marked regulator-boot-on, but we'll shut it down (IIRC) if we don't reference it in this way. This should hopefully fix SATA on the Cubieboard2, as reported by Ray White.

Test Plan

This is completely untested.

Diff Detail

Repository
rS FreeBSD src repository
Lint
Lint Skipped
Unit
Unit Tests Skipped
Build Status
Buildable 28581

Event Timeline

kevans created this revision.Jan 9 2020, 8:39 PM
kevans added a comment.Jan 9 2020, 8:52 PM

I've since realized that the cubieboard1 does in-fact have SATA, I just don't have it broken out. Test-booted, and now I get:

ahci0: <Allwinner Integrated AHCI controller> mem 0x1c18000-0x1c18fff irq 19 on simplebus0
ahci0: AHCI v1.10 with 1 3Gbps ports, Port Multiplier not supported
ahci0: quirks=0x2<NOPMP>
ahci0: Caps: NCQ SNTF ALP AL CLO 3Gbps PMD SSC PSC 32cmd CCC 1ports
ahcich0: not probed (disabled)
regulator: shutting down ahci-5v... busy

The cubieboard1 also needs this to boot: https://people.freebsd.org/~kevans/cubie-ldo3.diff -> because ldo3 is essential, but I don't know if this is sufficient information to try upstreaming it.

manu accepted this revision.Jan 10 2020, 10:42 AM

LGTM.
Not sure about the LDO3 patch, I don't see it used on the schematics (http://dl.cubieboard.org/model/CubieBoard1/Hardware/cubieboard_schematic_2012-08-08.pdf)

This revision is now accepted and ready to land.Jan 10 2020, 10:42 AM
This revision was automatically updated to reflect the committed changes.